%define	name	rss_glx
%define	oname	rss-glx
%define	fname	%{oname}_%{version}
%define	version	0.8.2
%define	release	%mkrel 2
%define	build_plf 0
%{?_with_plf: %{expand: %%global build_plf 1}}


%if %build_plf
%define	distsuffix plf
%endif

Summary:	Really Slick Screensavers Port to GLX
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%fname.tar.bz2
Patch: rss-glx_0.8.1-desktopentry.patch
Patch2:		rss-glx_0.8.2-missing-header.patch
Patch3: rss-glx_0.8.2-format-strings.patch
License:	GPLv2
Group:		Graphical desktop/Other
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://rss-glx.sourceforge.net/
BuildRequires:	X11-devel
BuildRequires:	libfreealut-devel
BuildRequires:	libglew-devel
BuildRequires:	libmesaglut-devel
BuildRequires:	imagemagick-devel >= 5.5.7
BuildRequires:	chrpath
Requires:	xscreensaver
Epoch:		1

%description
This is a collection of OpenGL screensavers for xscreensaver. They
require a hardware-accellerated GLX implementation.

You need to add them manually to your ~/.xscreensaver file as described
in README.xscreensaver

%if %build_plf
This package is in PLF, as it includes images that are similar to
those from the Matrix movies.
%endif

%package	matrixview
Summary:	Really Slick Screensavers Port to GLX - Matrixview 
Group:		Graphical desktop/Other
Requires:	xscreensaver

%description	matrixview
This is a collection of OpenGL screensavers for xscreensaver. They
require a hardware-accellerated GLX implementation.

This contains the matrixview screensaver. It is in PLF, as it includes
images that are similar to those from the Matrix movies.

%prep
%setup -q -n %fname
%patch -p1 -b .desktopentry
%patch2 -p1
%patch3 -p1
autoreconf -fi

%build
%configure2_5x \
 --with-configdir=%_datadir/xscreensaver/config \
 --bindir=%_libexecdir/xscreensaver \
 --with-kdessconfigdir=%_datadir/applnk/System/ScreenSavers/
%make CXXFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="-I%_includedir/ImageMagick"

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
# we don't need the static libs
rm -rf %buildroot%_libdir/lib*a
%if ! %build_plf
rm -f %buildroot%_libexecdir/xscreensaver/matrixview
rm -f %buildroot%_mandir/man1/matrixview.1
rm -f %buildroot%_datadir/xscreensaver/config/matrixview.xml
rm -f %buildroot%_datadir/applnk/System/ScreenSavers/matrixview.desktop
%endif
for screensaver in %buildroot%_libdir/xscreensaver/*;
 do fgrep -q ELF $screensaver && chrpath -d $screensaver
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_libexecdir/xscreensaver/*
%_mandir/man1/*
%_datadir/xscreensaver/config/*
%_datadir/applnk/System/ScreenSavers/*

%if %build_plf
%exclude %_libexecdir/xscreensaver/matrixview
%exclude %_mandir/man1/matrixview.1*
%exclude %_datadir/xscreensaver/config/matrixview.xml
%exclude %_datadir/applnk/System/ScreenSavers/matrixview.desktop
%endif

%if %build_plf
%files matrixview
%defattr(-,root,root)
%doc README*
%_libexecdir/xscreensaver/matrixview
%_mandir/man1/matrixview.1*
%_datadir/xscreensaver/config/matrixview.xml
%_datadir/applnk/System/ScreenSavers/matrixview.desktop
%endif




%changelog
* Wed Jan 28 2009 Götz Waschk <waschk@mandriva.org> 1:0.8.2-2mdv2009.1
+ Revision: 335016
- fix format strings
- drop optimization option, it is obsolete
- drop patch 1
- fix build

  + Oden Eriksson <oeriksson@mandriva.org>
    - lowercase ImageMagick

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 1:0.8.2-1mdv2009.0
+ Revision: 278102
- fix build deps
- new version
- patch to make it build
- update license

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 1:0.8.1-8mdv2008.1
+ Revision: 165134
- fix build with new libmagick
- rebuild for new libmagick

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 1:0.8.1-7mdv2008.1
+ Revision: 140753
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel


* Fri Mar 16 2007 Götz Waschk <waschk@mandriva.org> 0.8.1-7mdv2007.1
+ Revision: 145157
- fix KDE desktop entries

* Sun Feb 18 2007 Götz Waschk <waschk@mandriva.org> 1:0.8.1-6mdv2007.1
+ Revision: 122345
- rebuild for new ImageMagick
- fix description
- Import rss_glx

* Thu Feb 01 2007 Gtz Waschk <waschk@mandriva.org> 0.8.1-4mdv2007.1
- unpack patch

* Fri Sep 01 2006 Götz Waschk <waschk@mandriva.org> 1:0.8.1-1mdv2007.0
- rebuild for new Magick

* Fri Aug 25 2006 Gtz Waschk <waschk@mandriva.org> 0.8.1-2mdv2007.0
- drop rpath

* Mon Jul 17 2006 Gtz Waschk <waschk@mandriva.org> 0.8.1-1mdv2007.0
- drop patch
- New release 0.8.1

* Fri Jun 09 2006 Götz Waschk <waschk@mandriva.org> 1:0.8.0-14mdk
- rebuild for new Magick

* Thu May 25 2006 Gtz Waschk <waschk@mandriva.org> 0.8.0-13mdk
- remove plf files

* Thu May 25 2006 Gtz Waschk <waschk@mandriva.org> 0.8.0-12mdk
- fix build with new gcc
- fix deps
- rebuild for new X

* Wed Mar 01 2006 Gtz Waschk <waschk@mandriva.org> 1:0.8.0-11mdk
- rebuild for new Magick

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 0.8.0-10mdk
- add kde screensaver stuff

* Mon Jan 30 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-9mdk
- rebuild for new Magick

* Wed Dec 28 2005 Götz Waschk <waschk@mandriva.org> 0.8.0-8mdk
- rebuild for new Magick

* Wed Oct 19 2005 Gtz Waschk <waschk@mandriva.org> 0.8.0-7mdk
- fix config directory (thanks to e.mindahl)

* Sat Aug 27 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.0-6mdk
- reenable sound support
- compile with $RPM_OPT_FLAGS
- no .bz2 ending for man pages
- cosmetics

* Sat Aug 27 2005 Gtz Waschk <waschk@mandriva.org> 0.8.0-5mdk
- update buildrequires

* Thu Aug 25 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.0-4mdk
- rebuilt against new Magick libs

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.8.0-3mdk
- rebuild for new Magick

* Sun Aug 14 2005 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdk
- disable sound
- rebuild for new ImageMagick

* Thu Jul 07 2005 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdk
- update file list
- New release 0.8.0

* Sat Jun 25 2005 Götz Waschk <waschk@mandriva.org> 0.7.6-14mdk
- rebuild for new libMagick

* Tue Apr 12 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-13mdk
- fix --with rpm build options

* Tue Apr 12 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-12mdk
- mkrel

* Wed Mar 02 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-11mdk
- rebuild for new Magick

* Mon Jan 24 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-10mdk
- rebuild for new Magick

* Mon Jan 10 2005 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-9mdk
- rebuild for new Magick

* Wed Dec 29 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-8mdk
- rebuild for new Magick

* Fri Jul 30 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-7mdk
- update vroot.h to fix multi screen problems

* Tue Jul 20 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-6mdk
- rebuild for new Magick

* Tue Jun 15 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-5mdk
- rebuild for new Magick

* Wed Jun 09 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-4mdk
- rebuild for new openal

* Mon Jun 07 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-3mdk
- new g++

* Sat Jun 05 2004 Götz Waschk <waschk@linux-mandrake.com> 0.7.6-2mdk
- fix buildrequires
- fix description
- rebuild for new ImageMagick

